Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
b2Island Class Reference

This is an internal class. More...

`#include <b2Island.h>`

## Public Member Functions
| b2Island (int32 bodyCapacity, int32 contactCapacity, int32 jointCapacity, b2StackAllocator *allocator, b2ContactListener *listener)
| ~b2Island ()
void | Clear ()
void | Solve (b2Profile *profile, const b2TimeStep &step, const b2Vec2 &gravity, bool allowSleep)
void | SolveTOI (const b2TimeStep &subStep, int32 toiIndexA, int32 toiIndexB)
void | Add (b2Body *body)
void | Add (b2Contact *contact)
void | Add (b2Joint *joint)
void | Report (const b2ContactVelocityConstraint *constraints)

## Public Attributes
b2StackAllocator * | m_allocator
b2ContactListener * | m_listener
b2Body ** | m_bodies
b2Contact ** | m_contacts
b2Joint ** | m_joints
b2Position * | m_positions
b2Velocity * | m_velocities
int32 | m_bodyCount
int32 | m_jointCount
int32 | m_contactCount
int32 | m_bodyCapacity
int32 | m_contactCapacity
int32 | m_jointCapacity

## Detailed Description

This is an internal class.

## Constructor & Destructor Documentation

b2Island | ( | int32 | bodyCapacity,
|  | int32 | contactCapacity,
|  | int32 | jointCapacity,
|  | b2StackAllocator * | allocator,
|  | b2ContactListener * | listener
| ) |  |

~b2Island | ( |  | ) |

## Member Function Documentation

void Add | ( | b2Body * | body | ) |
| inline

void Add | ( | b2Contact * | contact | ) |
| inline

void Add | ( | b2Joint * | joint | ) |
| inline

void Clear | ( |  | ) |
| inline

void Report | ( | const b2ContactVelocityConstraint * | constraints | ) |

void Solve | ( | b2Profile * | profile,
|  | const b2TimeStep & | step,
|  | const b2Vec2 & | gravity,
|  | bool | allowSleep
| ) |  |

void SolveTOI | ( | const b2TimeStep & | subStep,
|  | int32 | toiIndexA,
|  | int32 | toiIndexB
| ) |  |

## Member Data Documentation

b2StackAllocator* m_allocator

b2Body** m_bodies

int32 m_bodyCapacity

int32 m_bodyCount

int32 m_contactCapacity

int32 m_contactCount

b2Contact** m_contacts

int32 m_jointCapacity

int32 m_jointCount

b2Joint** m_joints

b2ContactListener* m_listener

b2Position* m_positions

b2Velocity* m_velocities

The documentation for this class was generated from the following files:

- Box2D/Dynamics/b2Island.h
- Box2D/Dynamics/b2Island.cpp